TimeUUIDType (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db.marshal
Class TimeUUIDType

    java.lang.Object
      org.apache.cassandra.db.marshal.AbstractType<java.util.UUID>
          org.apache.cassandra.db.marshal.TimeUUIDType

All Implemented Interfaces:
  java.util.Comparator<java.nio.ByteBuffer>

    public class TimeUUIDType

extends AbstractType<java.util.UUID>

Field Summary
`static TimeUUIDType` | `instance`

Fields inherited from class org.apache.cassandra.db.marshal.AbstractType
`columnComparator, columnReverseComparator, indexComparator, indexReverseComparator, reverseComparator`

Method Summary
`int` | `compare(java.nio.ByteBuffer o1, java.nio.ByteBuffer o2)`
`java.util.UUID` | `compose(java.nio.ByteBuffer bytes)`
`java.nio.ByteBuffer` | `decompose(java.util.UUID value)`
`java.nio.ByteBuffer` | `fromString(java.lang.String source)` get a byte representation of the given string.
`java.lang.String` | `getString(java.nio.ByteBuffer bytes)` get a string representation of the bytes suitable for log messages
`void` | `validate(java.nio.ByteBuffer bytes)`

Methods inherited from class org.apache.cassandra.db.marshal.AbstractType
`getColumnsString, getReverseComparator, getString, isCommutative, parseDefaultParameters, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Field Detail

### instance

    public static final TimeUUIDType instance

Method Detail

### compose

    public java.util.UUID compose(java.nio.ByteBuffer bytes)

  Specified by:
    `compose` in class `AbstractType<java.util.UUID>`

### decompose

    public java.nio.ByteBuffer decompose(java.util.UUID value)

  Specified by:
    `decompose` in class `AbstractType<java.util.UUID>`

### compare

    public int compare(java.nio.ByteBuffer o1,
                       java.nio.ByteBuffer o2)

### getString

    public java.lang.String getString(java.nio.ByteBuffer bytes)

  Description copied from class: `AbstractType`
  get a string representation of the bytes suitable for log messages

  Specified by:
    `getString` in class `AbstractType<java.util.UUID>`

### fromString

    public java.nio.ByteBuffer fromString(java.lang.String source)
                                   throws MarshalException

  Description copied from class: `AbstractType`
  get a byte representation of the given string. defaults to unsupportedoperation so people deploying custom Types can update at their leisure.

  Overrides:
    `fromString` in class `AbstractType<java.util.UUID>`
  Throws:
    `MarshalException`

### validate

    public void validate(java.nio.ByteBuffer bytes)
                  throws MarshalException

  Specified by:
    `validate` in class `AbstractType<java.util.UUID>`
  Throws:
    `MarshalException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation